Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4716 - Incorrect soname for /lib/libdb1.so and /usr/lib/libdb1.so
Summary: Incorrect soname for /lib/libdb1.so and /usr/lib/libdb1.so
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-26 07:42 UTC by ksitze
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 14:24:40 UTC


Attachments (Terms of Use)

Description ksitze 1999-08-26 07:42:55 UTC
The /usr/lib/libdb1.so library has an incorrect soname
which causes the libdb.so.2 library to be incorrectly
linked into an application.  This interferes with
porting applications using db-1.85 databases (which are
incompatable with the db-2 code in libdb.so.2).

Suggested fix is to pass -h libdb1.so.2 to the linker
in building the library.

Comment 1 Jeff Johnson 1999-08-27 14:24:59 UTC
The library for db1 is libdb1.so.2, while the library for db2 is
libdb.so.3. Confusing ain't it :-(


Note You need to log in before you can comment on or make changes to this bug.